#!/bin/sh
set -x

result_parser(){
    if [ $? -eq 0 ]; then
        lava-test-case $1 --result pass
    else
        lava-test-case $1 --result fail
    fi
}

# Enable root login with password.
sed -i 's/^PermitRootLogin.*/PermitRootLogin yes/' /etc/ssh/sshd_config
grep "PermitRootLogin yes" /etc/ssh/sshd_config
result_parser step1-enable-root-login

# Change root password to "linarolinaro".
echo "root:linarolinaro" | chpasswd
result_parser step2-change-root-passwd
